Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: counterparty-gui-git 20150310-1

Git Clone URL: https://aur-dev.archlinux.org/counterparty-gui-git.git (read-only)
Package Base: counterparty-gui-git
Description: An open marketplace, built on Bitcoin
Upstream URL: https://github.com/CounterpartyXCP/counterparty-gui
Licenses: MIT
Groups: counterparty
Conflicts: counterparty-gui
Provides: counterparty-gui
Submitter: atweiden
Maintainer: None
Last Packager: atweiden
Votes: 0
Popularity: 0.000000
First Submitted: 2015-01-18 23:58
Last Updated: 2015-06-09 18:44

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

atweiden commented on 2015-03-18 02:12

This pkg currently isn't in a release-ready state upstream.

latgarf commented on 2015-03-16 01:59

My attempt at installation fails as below. Where do I begin to debug this?

[code]
$ yaourt -S counterparty-gui-git
...
-> Cloning counterparty-cli git repo...
Cloning into bare repository '/tmp/yaourt-tmp-j/aur-counterparty-cli-git/counterparty-cli'...
remote: Counting objects: 662, done.
remote: Total 662 (delta 0), reused 0 (delta 0), pack-reused 662
Receiving objects: 100% (662/662), 145.76 KiB | 71.00 KiB/s, done.
Resolving deltas: 100% (428/428), done.
Checking connectivity... done.
-> Found setup.py.patch
==> Validating source files with sha256sums...
counterparty-cli ... Skipped
setup.py.patch ... Passed
==> Extracting sources...
-> Creating working copy of counterparty-cli git repo...
Cloning into 'counterparty-cli'...
done.
==> Starting pkgver()...
==> Starting prepare()...
==> Patching setup.py...
patching file setup.py
==> Starting build()...
==> Building...
Traceback (most recent call last):
File "setup.py", line 125, in <module>
setup(**setup_options)
File "/usr/lib/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 265, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3.4/site-packages/setuptools/dist.py", line 310, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 792, in resolve
env = Environment(self.entries)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 977, in __init__
self.scan(search_path)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1007, in scan
self.add(dist)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 1027, in add
dists.sort(key=operator.attrgetter('hashcmp'), reverse=True)
TypeError: unorderable types: str() < NoneType()
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build .
==> Restart building counterparty-cli-git ? [y/N]
[/code]

An attempt to
$ yaourt -S counterparty-gui
failed similarly.

If my post here is out of place, thanks for advice where it belongs.